Add Interop closed caption XSD for verification.
[libdcp.git] / run / tests
index 5c294dabfc85bf74d8efa1f7d69dae755612358c..82441321c83c0040eec7b25648106236de1b4f38 100755 (executable)
--- a/run/tests
+++ b/run/tests
@@ -12,7 +12,7 @@ dcpinfo=build/tools/dcpinfo
 export LD_LIBRARY_PATH=build/src:/home/c.hetherington/lib:$LD_LIBRARY_PATH
 
 # Make sure we have the required tools
-for c in xmlsec1 xmldiff; do
+for c in xmlsec1 xmldiff xmllint; do
   hash $c 2>/dev/null || { echo >&2 "$c required but not found; aborting"; exit 1; }
 done
 
@@ -22,7 +22,7 @@ if [ "$1" == "--debug" ]; then
     gdb --args $work/tests $private $*
 elif [ "$1" == "--valgrind" ]; then
     shift
-    valgrind --tool="memcheck" $work/tests $private
+    valgrind --tool="memcheck" $work/tests $private $*
 elif [ "$1" == "--callgrind" ]; then
     shift
     valgrind --tool="callgrind" $work/tests $private $*
@@ -91,7 +91,7 @@ fi
 rm -f $work/info.log
 for d in `find $private/metadata -mindepth 1 -maxdepth 1 -type d | sort -f -d`; do
     if [ `basename $d` != ".git" ]; then
-        $dcpinfo --ignore-missing-assets -k -s $d >> $work/info.log
+        $dcpinfo --ignore-missing-assets -s $d >> $work/info.log
         if [ "$?" != "0" ]; then
             echo "FAIL: dcpinfo failed for $d"
             exit 1
@@ -116,7 +116,7 @@ cp -r $private/* $work/private
 for d in `find $work/private/metadata -mindepth 1 -maxdepth 1 -type d | sort -f -d`; do
     if [ `basename $d` != ".git" ]; then
         $work/rewrite_subs $d
-        $dcpinfo --ignore-missing-assets -k -s $d >> $work/info2.log
+        $dcpinfo --ignore-missing-assets -s $d >> $work/info2.log
     fi
 done